Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.placeholder.servlets
Class PlaceholderPreviewServlet

    java.lang.Object
      |
      +--javax.servlet.GenericServlet
            |
            +--javax.servlet.http.HttpServlet
                  |
                  +--com.bea.p13n.placeholder.servlets.PlaceholderPreviewServlet

public class PlaceholderPreviewServlet
extends javax.servlet.http.HttpServlet

A servlet which generates a content query preview.

The resulting HTML file has three frames. The top frame displays the content query. Below that are two panes. On the left is a list of all the content identifiers matching the query. On the right is the actual content display for the selected content identifier in the content list.

If the query parameter 'input' is set to 'true', then the servlet assumes that a <cq:contentQuery> XML fragment is available on the input stream. It will take that in and set it into a preview slot on the server. The servlet will output only the numeric slot id, plus it will be set in the 'BEA-P13N-Placeholder-Preview-Slot-Id' header.

This expects the PlaceholderService to use to be mapped to java:comp/env/ejb/PlaceholderService.

For content selector preview, this expects the ContentManager to use to be mapped to java:comp/env/ejb/ContentManager. It also expects a ShowDocServlet to mapped to the partial URI defined by the "ShowDocURI" init parameter (defaulting to ContentProviders.getShowDocURI()).

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `CONTENT_SELECTOR_TYPE` The phtype that identifies a ContentSelector preview.

Constructor Summary
`PlaceholderPreviewServlet()`

Method Summary
`void` | `doGet(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Do the GET request.
`void` | `doPost(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Do the POST request.
`void` | `init()` Initialize this servlet.

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CONTENT_SELECTOR_TYPE

    public static final java.lang.String CONTENT_SELECTOR_TYPE

  The phtype that identifies a ContentSelector preview.

Constructor Detail

### PlaceholderPreviewServlet

    public PlaceholderPreviewServlet()

Method Detail

### init

    public void init()
              throws javax.servlet.ServletException

  Initialize this servlet.

  Overrides:
    init in class javax.servlet.GenericServlet

### doGet

    public void doGet(javax.servlet.http.HttpServletRequest request,
                      javax.servlet.http.HttpServletResponse response)
               throws javax.servlet.ServletException,
                      java.io.IOException

  Do the GET request. This method will generate each of the frames and the frameset itself.

  Parameters:
    `request` - the HTTP request
    `response` - the HTTP response
  Overrides:
    doGet in class javax.servlet.http.HttpServlet

### doPost

    public void doPost(javax.servlet.http.HttpServletRequest request,
                       javax.servlet.http.HttpServletResponse response)
                throws javax.servlet.ServletException,
                       java.io.IOException

  Do the POST request. This will call doGet().

  Parameters:
    `request` - the HTTP request
    `response` - the HTTP response
  Overrides:
    doPost in class javax.servlet.http.HttpServlet

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved